BLK_QUEUE_IO_MIN(9)

NAME
blk_queue_io_min - set minimum request size for the queue

SYNOPSIS

void blk_queue_io_min(struct request_queue * q, unsigned int min);

ARGUMENTS

q
    the request queue for the device

min
    smallest I/O size in bytes

DESCRIPTION

Storage devices may report a granularity or preferred minimum I/O size which is the smallest request the device can perform without incurring a performance penalty. For disk drives this is often the physical block size. For RAID arrays it is often the stripe chunk size. A properly aligned multiple of minimum_io_size is the preferred request size for workloads where a high number of I/O operations is desired.

COPYRIGHT